#!/bin/sh

# pipe in a list of tape labels. 

# cat labels.txt | vms_labels.sh
# echo TAPE1 TAPE2 TAPE3 | vms_labels.sh

# This generates barcode labels for Avery 5267 for DLT labels

if [ -z "$1" ]; then FIRST_LABEL=1; else FIRST_LABEL=$1;fi

{
for L in `cat -`
  do
  barcode -b $L -c -E -e code39  -u in  -g "1.6x0.43+-0.07+-0.10"
  echo "XXXXXXXXXX"
  done
} | ./labelnation.pl -d XXXXXXXXXX -c -i - -o - -p avery5267 \
    --first-label $FIRST_LABEL | \
    lpr -h -b -P $PRINTER


